<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "certification_specialty".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "CertificationSpecialty".
 *
 * Columns in table "certification_specialty" available as properties of the model,
 * followed by relations of table "certification_specialty" available as properties of the model.
 *
 * @property integer $id
 * @property string $name
 * @property integer $certifying_body_id
 *
 * @property CertifyingBody $certifyingBody
 */
abstract class BaseCertificationSpecialty extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'certification_specialty';
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'CertificationSpecialty|CertificationSpecialties', $n);
    }

    public static function representingColumn()
    {
        return 'name';
    }

    public function rules()
    {
        return array(
            array('name, certifying_body_id', 'required'),
            array('certifying_body_id', 'numerical', 'integerOnly' => true),
            array('name', 'length', 'max' => 100),
            array('id, name, certifying_body_id', 'safe', 'on' => 'search'),
        );
    }

    public function relations()
    {
        return array(
            'certifyingBody' => array(self::BELONGS_TO, 'CertifyingBody', 'certifying_body_id'),
        );
    }

    public function pivotModels()
    {
        return array(
        );
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'name' => Yii::t('app', 'Name'),
            'certifying_body_id' => null,
            'certifyingBody' => null,
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->compare('id', $this->id);
        $criteria->compare('name', $this->name, true);
        $criteria->compare('certifying_body_id', $this->certifying_body_id);

        return new CActiveDataProvider($this, array(
            'criteria' => $criteria,
        ));
    }

}
